$(document).ready(function(){
	run();
});

function run(){
	var date = new Date();
	var hours = date.getHours();
    var properTime = null;
    var hexLetters = ["F", "D", "E", "F", "D", "E", "A", "F", "D", "A"];
	
	if (!(hours24)){
		hours = hours > 12 ? hours - 12 : hours;
	}
	    
    var theHours = (hours > 9 ? hours : "0" + hours);
    var theMins = (date.getMinutes() > 9 ? date.getMinutes() : "0" + date.getMinutes());
    var theSec = (date.getSeconds() > 9 ? date.getSeconds() : "0" + date.getSeconds());
    
    var hoursSplit = "" + theHours / 10;
    hoursSplit = hoursSplit <= 9 ? hoursSplit + ".0" : hoursSplit;
    hoursSplit = hoursSplit.split(".");
    var hourOne = hoursSplit[0];
    var hourTwo = hoursSplit[1];
    
    var minsSplit = "" + theMins / 10;
    minsSplit = minsSplit <= 9 ? minsSplit + ".0" : minsSplit;
    minsSplit = minsSplit.split(".");
    var minOne = minsSplit[0];
    var minTwo = minsSplit[1];
    
    properTime = theHours + " // " + theMins + " // " + theSec;
    //var cssTime = "#" + hexLetters[hourOne] + hourTwo + minOne + hexLetters[minTwo] + theSec;
    var cssTime = "#" + hourOne + hourTwo + minOne + minTwo + theSec;
    var niceTime = "#" + theHours + theMins + theSec;
    
    $("body").css('background-color', cssTime);
    
    $(".small-time").html(cssTime);
    $(".time").html(properTime);
	
	setTimeout("run();", 1000);
}